/***************************************************************************
 *   Copyright (C) 2006 by M.Fedotov   *
 *   anyremote@mail.ru   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "logger.h"
#include "ar_editor.h"

extern logger2 *theLog;

AR_Editor::AR_Editor(QWidget* parent, const char* name, WFlags fl) 
		: editCfgBase(parent,name,fl)
{
    theLog->debug("AR_Editor::AR_Editor");
} 

AR_Editor::~AR_Editor()
{
}

/*$SPECIALIZATION$*/
void AR_Editor::saveClicked()
{
    theLog->debug("AR_Editor::saveClicked() ");
    this->hide();
}

void AR_Editor::cancelClicked()
{
    theLog->debug("KAnyRemoteWidget::cancelClicked()");
    this->hide();
}

#include "ar_editor.moc"
